Bug 809203 - Auto-detect emulated machine at host/cluster level
Auto-detect emulated machine at host/cluster level
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: lpeer
infra
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 14:08 EDT by Andrey Falko
Modified: 2012-12-13 03:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 03:13:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrey Falko 2012-04-02 14:08:52 EDT
Description of problem:
The emulated machine is currently hard-coded and winds up in the database here:

select * from vdc_options where option_name='EmulatedMachine' and version = '3.0';

As a result of a difference between Fedora and RHEL, the name can differ and is annoying to track down for new ovirt users. See the following for further reference:

http://lists.ovirt.org/pipermail/users/2012-March/001439.html
and
http://lists.ovirt.org/pipermail/users/2012-March/001401.html

Version-Release number of selected component (if applicable):


How reproducible:
Run ovirt packages on RHEL-based host

Steps to Reproduce:
1. On a virgin ovirt install, import a VM and try to run it.
2.
3.
  
Actual results:
> Thread-64891::DEBUG::2012-03-30 22:45:50,372::vm::357::vm.Vm::(_startUnderlyingVm) vmId=`ccb15c61-c20e-4195-9efc-3ca8edf2d9e6`::_ongoingCreations released
> Thread-64891::ERROR::2012-03-30 22:45:50,372::vm::381::vm.Vm::(_startUnderlyingVm) vmId=`ccb15c61-c20e-4195-9efc-3ca8edf2d9e6`::The vm start process failed
> Traceback (most recent call last):
>    File "/usr/share/vdsm/vm.py", line 347, in _startUnderlyingVm
>      self._run()
>    File "/usr/share/vdsm/libvirtvm.py", line 1101, in _run
>      self._connection.createXML(domxml, flags),
>    File "/usr/share/vdsm/libvirtconnection.py", line 63, in wrapper
>      ret = f(*args, **kwargs)
>    File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2087, in createXML
>      if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
> libvirtError: internal error process exited while connecting to monitor: Supported machines are:
> pc         RHEL 6.2.0 PC (alias of rhel6.2.0)
> rhel6.2.0  RHEL 6.2.0 PC (default)
> rhel6.1.0  RHEL 6.1.0 PC
> rhel6.0.0  RHEL 6.0.0 PC
> rhel5.5.0  RHEL 5.5.0 PC
> rhel5.4.4  RHEL 5.4.4 PC
> rhel5.4.0  RHEL 5.4.0 PC

Expected results:
Virtual machine starts up

Additional info:
Comment 1 Itamar Heim 2012-12-13 03:13:16 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.